var home = {
	currentView : 'whatis',
	doNext : true,
	slideFrom : '',
	slideTo : '',
	
	changeView : function (view, doNext) {
		if (typeof doNext == 'undefined' || !doNext) {
			home.doNext = false;
		}
		if (home.currentView && view != home.currentView) {
			var e = document.getElementById('home-link-' + home.currentView);
			e.style.backgroundColor = '#ffffff';
			e.style.color = '#79afc2';
			home.slideFrom = home.currentView;
			home.slideTo = view;
			home.currentView = '';
			home.slideView();
		}
	},
	
	nextView : function () {
		if (home.doNext) {
			if (home.currentView == 'whatis') {
				home.changeView('professional', true);
			} else if (home.currentView == 'professional') {
				home.changeView('opensource', true);
			} else {
				home.changeView('whatis', true);
			}
		}
	},
	
	setOpacity : function (e) {
		e.style.opacity = e.xOpacity;
		e.style.MozOpacity = e.xOpacity;
		e.style.filter = 'alpha(opacity=' + String(e.xOpacity * 100) + ')';
	},
	
	slideView : function () {
		var e = document.getElementById('home-view-' + home.slideFrom);
		if (typeof e.xOpacity == 'undefined' || e.xOpacity >= 1) {
			e.xOpacity = 0.9;
		} else {
			e.xOpacity -= 0.1;
			if (e.xOpacity <= 0) {
				e.style.display = 'none';
			}
		}
		home.setOpacity(e);
		
		var e = document.getElementById('home-view-' + home.slideTo);
		if (typeof e.xOpacity == 'undefined' || e.xOpacity <= 0) {
			e.xOpacity = 0.1;
		} else {
			e.xOpacity += 0.1;
		}
		home.setOpacity(e);
		e.style.display = 'block';
		
		if (e.xOpacity < 1) {
			setTimeout(home.slideView, 1);
		} else {
			var e = document.getElementById('home-link-' + home.slideTo);
			e.style.backgroundColor = '#79afc2';
			e.style.color = '#ffffff';
			home.currentView = home.slideTo;
			home.slideFrom = '';
			home.slideTo = '';
			if (home.doNext) {
				setTimeout(home.nextView, 10000);
			}
		}
	}
};
setTimeout(home.nextView, 10000);